# FILE: ow.tcl
#
#	OOMMF Widgets
#
# Last modified on: $Date: 1998/08/10 22:30:32 $
# Last modified by: $Author: donahue $
#
# When this version of the ow extension is selected by the 'package require'
# command, this file is sourced.

# Other package requirements
if {[catch {package require Tcl 8}]} {
    package require Tcl 7.5
}
package require Oc
if {[catch {package require Tk 8}]} {
    package require Tk 4.1
}

# CVS 
package provide Ow 1.0.0.0.0.0

# Set up for autoloading of em extension commands
set ow(library) [file dirname [info script]]
if { [lsearch -exact $auto_path $ow(library)] == -1 } {
    lappend auto_path $ow(library)
}

# Load in any local modifications
set local [file join [file dirname [info script]] local ow.tcl]
if {[file isfile $local] && [file readable $local]} {
    uplevel #0 source [list $local]
}

